## 开发准备

先准备好数据表，然后进行学习。

### 建数据表

使用`phpmyadmin`等数据库管理工具操作，示例如下：

```sql
-- 创建数据表: aphp_user --
CREATE TABLE `aphp_user` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT COMMENT 'ID',
  `username` varchar(50) NOT NULL DEFAULT '' COMMENT '用户名',
  `password` varchar(64) NOT NULL DEFAULT '' COMMENT '密码',
  `nickname` varchar(50) NOT NULL DEFAULT '' COMMENT '昵称',
  `email` varchar(100) NOT NULL DEFAULT '' COMMENT '邮箱',
  `mobile` char(11) NOT NULL DEFAULT '' COMMENT '手机号',
  `status` tinyint(1) unsigned NOT NULL DEFAULT '0' COMMENT '状态',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8mb4 COMMENT='用户表';
```
### 建立模型

```php
<?php
// 文件:app/index/model/User.php
namespace app\index\model;
use aphp\core\Model;
class User extends Model
{
	protected string $table = 'user'; // 表名
	protected string $pk = 'id'; // 表主键
}
```


---

本文档由 [AphpDoc](https://doc.aphp.top) 生成，更新于：2025-04-08 16:32:56